Index: sources/src/sc_vcd_trace.cc
===================================================================
--- sources/src/sc_vcd_trace.cc	(revision 33)
+++ sources/src/sc_vcd_trace.cc	(revision 52)
@@ -35,4 +35,8 @@
  */
 
+#include <cstdio>
+#include <cassert>
+#include <ctime>
+#include <string>
 
 #include "sc_trace.h"
@@ -41,14 +45,8 @@
 #include "internal.h"
 
-#include <cstdio>
-#include <cassert>
-#include <ctime>
-#include <string>
-
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif
 
-//-----------------------------------------*/
 
 using namespace std;
@@ -58,49 +56,45 @@
 //-----------------------------------------*/
 
-sc_trace_file*
-sc_create_vcd_trace_file(const char * name)
-{
-  if (notrace)
-    return NULL;
-  assert(name != NULL);
-	string filename;
-	filename = name;
-	filename += ".vcd";
-	//char varToday[1024];system(varToday=echo `date`);
-	
-	//création d'1 instance de la structure Sc_trace_file:
-	sc_trace_file *traceFic=new sc_trace_file();
-	traceFic->flag = VCD_FORMAT;	
-	
-	trace_file_list.push_back(traceFic);
-	
-	//en-tête du fichier VCD:
-	char entete[]="$date\n\t%s\n$end\n\n$version\n\t%s\n$end\n\n$timescale\n\t1 ps\n$end\n\n$scope module SystemC $end\n";
-	
-	//ouverture du fichier nommé "*name":
-	traceFic->pfic=fopen(filename.c_str(),"w+");//on a un pointeur sur le fichier
-	if((traceFic->pfic)==NULL)
-	{
-		/* fopen renvoie NULL si erreur */
-		fprintf(stderr,"\n\terreur ouverture outVcd\n");
-		exit(15);
-	}
+sc_trace_file * sc_create_vcd_trace_file(const char * name) {
+    if (notrace) {
+        return NULL;
+    }
+    assert(name != NULL);
+    string filename;
+    filename = name;
+    filename += ".vcd";
 
-  char date[128];	
-  time_t timep = time (NULL);
-  const struct tm *tm = localtime (&timep);
-  strftime (date, 128, "%A %d %B %y %Z - %R:%S -", tm); 
+    // Création d'une instance de la structure Sc_trace_file:
+    sc_trace_file * traceFic = new sc_trace_file();
+    traceFic->flag = VCD_FORMAT;
 
-	//écriture de l'en-tête du format VCD:
-	if ((fprintf(traceFic->pfic,entete, date, sc_version ()))==0)
-		{
-			/* fprintf renvoie 0 si erreur */
-			cerr << "\n\terreur ecriture de l'entete \n";
-			exit(2);
-		}
-	
-	//on retourne un pointeur sur la structure traceFile
-	//dont un des éléments pointe sur notre fichier VCD:
-	return traceFic;
+    trace_file_list.push_back(traceFic);
+
+    //en-tête du fichier VCD:
+    char entete[] = "$date\n\t%s\n$end\n\n$version\n\t%s\n$end\n\n$timescale\n\t1 ps\n$end\n\n$scope module SystemC $end\n";
+
+    //ouverture du fichier nommé "*name":
+    traceFic->pfic = fopen(filename.c_str(), "w+");//on a un pointeur sur le fichier
+    if ((traceFic->pfic) == NULL) {
+        /* fopen renvoie NULL si erreur */
+        fprintf(stderr, "\n\terreur ouverture outVcd\n");
+        exit(15);
+    }
+
+    char date[128];
+    time_t timep = time(NULL);
+    const struct tm * tm = localtime(&timep);
+    strftime(date, 128, "%A %d %B %y %Z - %R:%S -", tm); 
+
+    //écriture de l'en-tête du format VCD:
+    if ((fprintf(traceFic->pfic, entete, date, sc_version())) == 0) {
+        /* fprintf renvoie 0 si erreur */
+        cerr << "\n\terreur ecriture de l'entete \n";
+        exit(2);
+    }
+
+    //on retourne un pointeur sur la structure traceFile
+    //dont un des éléments pointe sur notre fichier VCD:
+    return traceFic;
 }
 
@@ -108,42 +102,50 @@
 //*************************************************************************
 
-void
-sc_close_vcd_trace_file( sc_trace_file* traceFic )
-{	
-  if (notrace)
-    return;
-  if (!traceFic)
-  {
-    cerr << "Warning : Unable to close vcd trace file.\n";
-    return;
-  }
+void sc_close_vcd_trace_file(sc_trace_file * traceFic) {
+    if (notrace) {
+        return;
+    }
+    if (!traceFic) {
+        cerr << "Warning : Unable to close vcd trace file.\n";
+        return;
+    }
 
-  if (cpt >= trace_start)
-  {
-    trace (*traceFic,false);
-    cpt++;
-    trace (*traceFic,true);
-  }
+    if (cpt >= trace_start) {
+        trace (*traceFic, false);
+        cpt++;
+        trace (*traceFic, true);
+    }
 
-	//fermeture fichier VCD
-	if (fclose(traceFic->pfic))
-	{
-		/* fclose renvoie 0 si OK */
-		perror("\n\tclosing VCD file.");
-		exit(4);
-	}
+    //fermeture fichier VCD
+    if (fclose(traceFic->pfic)) {
+        /* fclose renvoie 0 si OK */
+        perror("\n\tclosing VCD file.");
+        exit(4);
+    }
 
-	//libération de l'instance de la structure en mémoire:
-	delete traceFic;
+    //libération de l'instance de la structure en mémoire:
+    delete traceFic;
 
-	vector<sc_trace_file*>::iterator i;
-	for (i = trace_file_list.begin (); i != trace_file_list.end(); ++i)
-		if (*i == traceFic) {
-			trace_file_list.erase(i);
-			break;
-		}
+    vector<sc_trace_file *>::iterator i;
+    for (i = trace_file_list.begin(); i != trace_file_list.end(); ++i) {
+        if (*i == traceFic) {
+            trace_file_list.erase(i);
+            break;
+        }
+    }
+}
 
-}
 
 } // end of sc_core namespace
 
+/*
+# Local Variables:
+# tab-width: 4;
+# c-basic-offset: 4;
+# c-file-offsets:((innamespace . 0)(inline-open . 0));
+# indent-tabs-mode: nil;
+# End:
+#
+# vim: filetype=cpp:expandtab:shiftwidth=4:tabstop=4:softtabstop=4
+*/
+
